Subject: Wait too long!

From: [email-masked] (Wei Li)
Date: Wed, 29 Sep 93 10:07:34 CDT

Dear Netters:

I sent My files on July 30 and the receipt-day is July 7.  But till
now I still don't get approval notice.  I call Lincon INS everyday and
the answer machine always responses "information on this case is not
available".  Since some friends of mine got their approval notices 
even though most of them sent their files later than I did and have 
later receipt-day than I have, it looks like I have no chance to get the 
approval in September.  To me it seems Lincon INS doing nothing.

W. Li